Subject: Re: bug#56393: Actually fix the long lines display bug

From: Gregory Heytings <[email-masked]>
Date: Wed, 06 Jul 2022 13:06:26 +0000

>
> One problem I spotted with the current branch is that it's still 
> sluggish when commands are repeated very fast.  For example, visit the 
> long-line.xml file, then lean on C-n or <DOWN> arrow -- you will see 
> that this gets back to the very slow responses after traversing several 
> lines.  By contrast, pressing C-n one keystroke at a time, even if I do 
> that as fast as I can (say, 5 keypresses per second) performs much 
> faster.
>

I don't see that.  On my seven year old laptop, Emacs remains responsive, 
and commands are executed instantaneously.  Did you try M-x 
find-file-literally?  If you don't see the slowdown with M-x 
find-file-literally, it's a slowdown due to the major mode (in this case 
nXML).